<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: ib.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_b520d1ab1ec20b7fc47acdc53c2a8486.html">init_flow_old</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">ib.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceib"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html">ib</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a09fb0d96ac82f284cd77cd9d0ef020eb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ib_8f90.html#a09fb0d96ac82f284cd77cd9d0ef020eb">ib_grid</a></td></tr>
<tr class="separator:a09fb0d96ac82f284cd77cd9d0ef020eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b7927be67d042a5ad0dcc55300fed6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ib_8f90.html#af6b7927be67d042a5ad0dcc55300fed6">ib_data</a></td></tr>
<tr class="separator:af6b7927be67d042a5ad0dcc55300fed6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aaebcf8e7646f75312e818c14e7e182a7"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#aaebcf8e7646f75312e818c14e7e182a7">ib::wall_ib</a> = 7</td></tr>
<tr class="separator:aaebcf8e7646f75312e818c14e7e182a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75183fa164216f3352b185e341d12fc0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#a75183fa164216f3352b185e341d12fc0">ib::u</a></td></tr>
<tr class="separator:a75183fa164216f3352b185e341d12fc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2158d5525e230732d7dc8bab38f377e"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#ae2158d5525e230732d7dc8bab38f377e">ib::v</a></td></tr>
<tr class="separator:ae2158d5525e230732d7dc8bab38f377e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa073716143b532a188a5a7b17e2c1089"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#aa073716143b532a188a5a7b17e2c1089">ib::w</a></td></tr>
<tr class="separator:aa073716143b532a188a5a7b17e2c1089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af209599dbe4da7734fa4724c7f5ede63"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#af209599dbe4da7734fa4724c7f5ede63">ib::p</a></td></tr>
<tr class="separator:af209599dbe4da7734fa4724c7f5ede63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc5f8767cecf9d97c4982e389d4e28ca"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#acc5f8767cecf9d97c4982e389d4e28ca">ib::zmix</a></td></tr>
<tr class="separator:acc5f8767cecf9d97c4982e389d4e28ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac137f8232a8aedfba97dda3caeff8649"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#ac137f8232a8aedfba97dda3caeff8649">ib::prog</a></td></tr>
<tr class="separator:ac137f8232a8aedfba97dda3caeff8649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd7226d996366bae7172e15c20f2dff"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#a6dd7226d996366bae7172e15c20f2dff">ib::lvlset</a></td></tr>
<tr class="separator:a6dd7226d996366bae7172e15c20f2dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae121f862a9339aef26a6f203612de68"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#aae121f862a9339aef26a6f203612de68">ib::rho</a></td></tr>
<tr class="separator:aae121f862a9339aef26a6f203612de68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd4dcaf21f783212a24805601df7175b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceib.html#acd4dcaf21f783212a24805601df7175b">ib::drho</a></td></tr>
<tr class="separator:acd4dcaf21f783212a24805601df7175b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="af6b7927be67d042a5ad0dcc55300fed6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6b7927be67d042a5ad0dcc55300fed6">&#9670;&nbsp;</a></span>ib_data()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ib_data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacebosch__chamber.html#a49611ae619ca85dae44a9fc39acd2e22">bosch_chamber::drho</a>, <a class="el" href="namespaceib.html#a6dd7226d996366bae7172e15c20f2dff">ib::lvlset</a>, <a class="el" href="namespacebosch__chamber.html#a37a98dbd702c4db10be66942e0db81d5">bosch_chamber::p</a>, <a class="el" href="namespacebosch__chamber.html#ab7c2b96bd5773418b59aba801c3180e3">bosch_chamber::prog</a>, <a class="el" href="namespacebosch__chamber.html#ad398d4fba9e3bbb3ae1c89081481a197">bosch_chamber::rho</a>, <a class="el" href="namespacebosch__chamber.html#a49571ceb741d1b130191d2bdb06af042">bosch_chamber::u</a>, <a class="el" href="namespacebosch__chamber.html#a6f7fe2c8f274406d204dd5230c2bc3ef">bosch_chamber::v</a>, <a class="el" href="namespacebosch__chamber.html#ad4aa387322284505b31af71ab555b026">bosch_chamber::w</a>, and <a class="el" href="namespacebosch__chamber.html#a9638b1cdafec66e53060645cef8c7a2a">bosch_chamber::zmix</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="ib_8f90_af6b7927be67d042a5ad0dcc55300fed6_icgraph.png" border="0" usemap="#ib_8f90_af6b7927be67d042a5ad0dcc55300fed6_icgraph" alt=""/></div>
<map name="ib_8f90_af6b7927be67d042a5ad0dcc55300fed6_icgraph" id="ib_8f90_af6b7927be67d042a5ad0dcc55300fed6_icgraph">
<area shape="rect" id="node2" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="117,5,188,32"/>
</map>
</div>

</div>
</div>
<a id="a09fb0d96ac82f284cd77cd9d0ef020eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09fb0d96ac82f284cd77cd9d0ef020eb">&#9670;&nbsp;</a></span>ib_grid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine ib_grid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4">fileio::iclose()</a>, <a class="el" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58">fileio::iopen()</a>, and <a class="el" href="namespaceib.html#aaebcf8e7646f75312e818c14e7e182a7">ib::wall_ib</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_cgraph.png" border="0" usemap="#ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_cgraph" alt=""/></div>
<map name="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_cgraph" id="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_cgraph">
<area shape="rect" id="node2" href="namespacefileio.html#a1e9508f2783d9f86eb3314c6e55cfba4" title="fileio::iclose" alt="" coords="113,5,204,32"/>
<area shape="rect" id="node3" href="namespacefileio.html#ac1edfca0b5b011e66e8efbc2c441ca58" title="fileio::iopen" alt="" coords="115,56,203,83"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_icgraph.png" border="0" usemap="#ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_icgraph" alt=""/></div>
<map name="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_icgraph" id="ib_8f90_a09fb0d96ac82f284cd77cd9d0ef020eb_icgraph">
<area shape="rect" id="node2" href="init__flow-orig_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="113,5,184,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jul 13 2020 22:28:00 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
